#include <cstdio>

class Image;

extern "C" {
struct jpeg_decompress_struct;
struct jpeg_error_mgr;
}

class JPEGFile
{
	char * filename;
	Image *iDCTImage;
	Image *unpackedImage;

    FILE *inputh;

	struct jpeg_decompress_struct *srcinfo;
	struct jpeg_error_mgr *jsrcerr;

	void readHeader();

public:
	JPEGFile (const char *_filename);
    ~JPEGFile();

	Image * getiDCTImage();
	Image * getUnpackedImage();
};
