#include "JPEGFile.h"
#include "Image.h"
#include "FloatPlane.h"

int main()
{
    JPEGFile a("a.jpg");

    Image *i;

    i = a.getUnpackedImage();

    /* Write the planes */
    i->plane[0].writePGM("hola1.pgm");
    i->plane[1].writePGM("hola2.pgm");
    i->plane[2].writePGM("hola3.pgm");

    i->writePPM("hola.ppm");
    /* Remove the image and its planes */
    i->free();

    i = a.getiDCTImage();

    /* Write the planes */
    i->plane[0].writePGM("ihola1.pgm");
    i->plane[1].writePGM("ihola2.pgm");
    i->plane[2].writePGM("ihola3.pgm");

    i->free();
    delete i;
}
